## org.gnu.gtk
Class UpdateType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.UpdateType

public class UpdateType
extends org.gnu.glib.Enum

Controls how widgets should be updated

See Also:
  `Range`

Field Summary
`static UpdateType` `CONTINUOUS` Anytime the range slider is moved, the range value will change and the value_changed signal will be emitted.
`static UpdateType` `DELAYED` The value will be updated after a brief timeout where no slider motion occurs, so updates are spaced by a short time rather than continuous.
`static UpdateType` `DISCONTINUOUS` The value will only be updated when the user releases the button and ends the slider drag operation.

Method Summary
`UpdateType` `and(UpdateType other)`
`static UpdateType` `intern(int value)`
`UpdateType` `or(UpdateType other)`
`boolean` `test(UpdateType other)`
`UpdateType` `xor(UpdateType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTINUOUS

    public static final UpdateType CONTINUOUS

  Anytime the range slider is moved, the range value will change and the value_changed signal will be emitted.

### DISCONTINUOUS

    public static final UpdateType DISCONTINUOUS

  The value will only be updated when the user releases the button and ends the slider drag operation.

### DELAYED

    public static final UpdateType DELAYED

  The value will be updated after a brief timeout where no slider motion occurs, so updates are spaced by a short time rather than continuous.

Method Detail

### intern

    public static UpdateType intern(int value)

### or

    public UpdateType or(UpdateType other)

### and

    public UpdateType and(UpdateType other)

### xor

    public UpdateType xor(UpdateType other)

### test

    public boolean test(UpdateType other)